> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# List organization tariff plans

GET https://iot.telia.lt/api/v1/organisation/{org_id}/tariff_plan

Retrieve a list of all Tariff Plans that are available for the given organisation.
The available tariff plans for one's own organisation can also be retrieved with a call to
`/api/v1/organisation/my/tariff_plan`


Reference: https://docs.iot.telia.lt/developers/api/tariff-plans/organisation-tariff-plan-by-org-id-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `org_id` (double, required) — Numerical ID of an organization

## Response

### 200

Success

- `list of ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItems

- `id` (double, optional) — ID of the tariff plan assignment
- `organisation_id` (string, optional)
- `start_date` (string, optional)
- `expiry_date` (string, optional)
- `sim_activated_rate` (double, optional)
- `sim_activated_idle_rate` (double, optional)
- `sim_suspended_rate` (double, optional)
- `sim_suspended_active_rate` (double, optional)
- `currency_id` (string, optional)
- `federation_allowed` (boolean, optional) — Custom federation_allowed configuration for the organisation. If set to null, the default configuration from the tariff plan will be applied.
- `factory_test_mode_allowed` (boolean, optional) — Custom factory_test_mode_allowed configuration for the organisation. If set to null, the default configuration from the tariff plan will be applied.
- `service_level` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsServiceLevel, optional) — Custom service level for the organisation. If set to null, the default service level from the tariff plan will be applied.
- `active` (boolean, optional)
- `applied_rate` (double, optional)
- `price_model` (string, optional)
- `tariff_plan` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlan, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsServiceLevel

Custom service level for the organisation. If set to null, the default service level from the tariff plan will be applied.

- `id` (double, optional)
- `name` (string, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlan

- `organisation_id` (string, optional)
- `name` (string, optional)
- `description` (string, optional)
- `tariff_plan_type_id` (string, optional)
- `min_tariff_plan_runtime_id` (string, optional)
- `level` (string, optional)
- `tariff_plan_runtime_id` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanTariffPlanRuntimeId, optional)
- `owner_organisation_id` (string, optional)
- `public_for_child_organisations` (boolean, optional)
- `creation_date` (string, optional)
- `activation_date` (string, optional)
- `deprecation_date` (string, optional)
- `notes` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanNotes, optional)
- `rate` (double, optional)
- `yearly_rate` (double, optional)
- `sim_activation_fee` (double, optional)
- `max_active_sims` (double, optional)
- `add_active_sims_rate` (double, optional)
- `add_active_sim_batch` (double, optional)
- `max_service_profiles` (double, optional)
- `max_tariff_profiles` (double, optional)
- `max_users` (double, optional)
- `minimum_runtime` (double, optional)
- `api_access_allowed` (double, optional)
- `vpn_access` (double, optional)
- `private` (double, optional)
- `dtype` (string, optional)
- `evaluation` (boolean, optional)
- `expiry_time` (double, optional)
- `billing_disabled` (boolean, optional)
- `used_count` (double, optional)
- `id` (double, optional)
- `status` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanStatus, optional)
- `currency` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanCurrency, optional)
- `visibility` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanVisibility, optional)
- `price` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanPrice, optional)
- `service_level` (ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanServiceLevel, optional) — The default service level of a tariff plan. Possible values can be fetched with GET `/api/v1/service_level`.
- `federation_allowed` (boolean, optional)
- `factory_test_mode_allowed` (boolean, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanTariffPlanRuntimeId

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanNotes

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanStatus

- `description` (string, optional)
- `tariff_plan_status_enum_id` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanCurrency

- `code` (string, optional)
- `symbol` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanVisibility

- `description` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanPrice

- `sim_activated_rate` (list of ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanPriceSimActivatedRateItems, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanServiceLevel

The default service level of a tariff plan. Possible values can be fetched with GET `/api/v1/service_level`.

- `id` (double, required)
- `name` (string, optional)

### ApiV1OrganisationOrgIdTariffPlanGetResponsesContentApplicationJsonSchemaItemsTariffPlanPriceSimActivatedRateItems

### Tariff Plan Scale Price

- `scale_start` (integer, required) — Number of SIMs at which the hosting fee should be applied
- `rate` (double, required)

### Tariff Plan Fixed Price

- `rate` (double, optional)

## Examples

**Response**

```json
[
  {
    "id": 34,
    "organisation_id": "44",
    "start_date": "2015-10-01T00:00:00.000Z",
    "sim_activated_rate": 0,
    "sim_activated_idle_rate": 0,
    "sim_suspended_rate": 0,
    "sim_suspended_active_rate": 0,
    "federation_allowed": false,
    "factory_test_mode_allowed": true,
    "active": true,
    "applied_rate": 0,
    "price_model": "fixed",
    "tariff_plan": {
      "organisation_id": "2",
      "name": "Evaluation",
      "description": "Evaluate all functions, no monthly commitment",
      "tariff_plan_type_id": "0",
      "min_tariff_plan_runtime_id": "0",
      "level": "0",
      "owner_organisation_id": "0",
      "public_for_child_organisations": true,
      "creation_date": "2016-01-01T00:00:00.000Z",
      "activation_date": "2016-01-01T00:00:00.000Z",
      "deprecation_date": "2016-01-01T00:00:00.000Z",
      "rate": 0,
      "yearly_rate": 0,
      "sim_activation_fee": 0,
      "max_active_sims": 0,
      "add_active_sims_rate": 0,
      "add_active_sim_batch": 0,
      "max_service_profiles": 0,
      "max_tariff_profiles": 0,
      "max_users": 0,
      "minimum_runtime": 1,
      "api_access_allowed": 1,
      "vpn_access": 1,
      "private": 0,
      "dtype": "0",
      "evaluation": true,
      "expiry_time": 60,
      "billing_disabled": true,
      "used_count": 8913,
      "id": 18,
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "currency_id": "1"
      },
      "federation_allowed": true,
      "factory_test_mode_allowed": true,
      "currency_id": "1",
      "service_level_id": null,
      "tariff_plan_status_id": "1",
      "visibility_id": "0"
    },
    "tariff_plan_runtime": {
      "id": 1,
      "number_of_units": "1",
      "time_unit_id": "0"
    }
  }
]
```

**SDK Code**

```python History of assigned tariff plans
import requests

url = "https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript History of assigned tariff plans
const url = 'https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go History of assigned tariff plans
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby History of assigned tariff plans
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java History of assigned tariff plans
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php History of assigned tariff plans
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp History of assigned tariff plans
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift History of assigned tariff plans
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/1.1/tariff_plan")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```